﻿@model IEnumerable<Forum.DAL.Entities.User>
@{
    ViewBag.Title = "Список пользователей";
}
 
<a asp-action="Create">Добавить пользователя</a>
 
<table class="table">
    <tr><th>Имя</th><th>Фамилия</th><th>Рейтинг</th><th>email</th><th>Количество коментариев</th><th></th></tr>
    @foreach (var user in Model)
    {
        <tr>
            <td>@user.FirstName</td>
            <td>@user.LastName</td>
            <td>@user.Rating</td>
            <td>@user.Email</td>
            <td>@user.Comments.Count()</td>
            <td>
                <form asp-action="Delete" asp-route-id="@user.Id" method="post">
                    <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-id="@user.Id">Изменить</a>
                    <button type="submit" class="btn btn-sm btn-danger">
                        Удалить
                    </button>
                </form>
            </td>
        </tr>
    }
</table>